net.sf.saxon

## Class IdentityTransformerHandler

- java.lang.Object
- - net.sf.saxon.event.ReceivingContentHandler
  - - net.sf.saxon.IdentityTransformerHandler

- All Implemented Interfaces:
    TransformerHandler, ContentHandler, DTDHandler, LexicalHandler

      public class IdentityTransformerHandler
      extends ReceivingContentHandler
      implements TransformerHandler

  IdentityTransformerHandler implements the javax.xml.transform.sax.TransformerHandler interface. It acts as a ContentHandler and LexicalHandler which receives a stream of SAX events representing an input document, and performs an identity transformation passing these events to a Result
  Author:
    Michael H. Kay

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IdentityTransformerHandler(Controller controller)` Create a IdentityTransformerHandler and initialise variables.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `getResult()` Get the output destination of the transformation
    `String` | `getSystemId()` Get the systemId of the document
    `Transformer` | `getTransformer()` Get the Transformer used for this transformation
    `void` | `setResult(Result result)` Set the output destination of the transformation
    `void` | `setSystemId(String url)` Set the SystemId of the document
    `void` | `startDocument()` Override the behaviour of startDocument() in ReceivingContentHandler

    - ### Methods inherited from class net.sf.saxon.event.ReceivingContentHandler

      `characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getConfiguration, getPipelineConfiguration, getReceiver, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setDocumentLocator, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping`

    - ### Methods inherited from interface org.xml.sax.ext.LexicalHandler

      `comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

    - ### Methods inherited from interface org.xml.sax.DTDHandler

      `notationDecl, unparsedEntityDecl`

- - ### Constructor Detail

    - #### IdentityTransformerHandler

          protected IdentityTransformerHandler(Controller controller)

      Create a IdentityTransformerHandler and initialise variables. The constructor is protected, because the Filter should be created using newTransformerHandler() in the SAXTransformerFactory class
      Parameters:
        `controller` - the Controller for this transformation

  - ### Method Detail

    - #### getTransformer

          public Transformer getTransformer()

      Get the Transformer used for this transformation
      Specified by:
        `getTransformer` in interface `TransformerHandler`

    - #### setSystemId

          public void setSystemId(String url)

      Set the SystemId of the document
      Specified by:
        `setSystemId` in interface `TransformerHandler`

    - #### getSystemId

          public String getSystemId()

      Get the systemId of the document
      Specified by:
        `getSystemId` in interface `TransformerHandler`

    - #### setResult

          public void setResult(Result result)

      Set the output destination of the transformation
      Specified by:
        `setResult` in interface `TransformerHandler`

    - #### getResult

          public Result getResult()

      Get the output destination of the transformation
      Returns:
        the output destination

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Override the behaviour of startDocument() in ReceivingContentHandler
      Specified by:
        `startDocument` in interface `ContentHandler`
      Overrides:
        `startDocument` in class `ReceivingContentHandler`
      Throws:
        `SAXException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.